﻿$ErrorActionPreference = 'Stop'

$toolsPath   = Split-Path $MyInvocation.MyCommand.Definition
$download_dir = "$Env:TEMP\chocolatey\$packageName\$Env:ChocolateyPackageVersion"

$packageArgs = @{
  packageName    = 'universal-ctags'
  url            = 'https://github.com/universal-ctags/ctags-win32/releases/download/2022-01-26/p5.9.20220116.0-22-g58c0e68a/ctags-2022-01-26_p5.9.20220116.0-22-g58c0e68a-x86.zip'
  url64Bit       = 'https://github.com/universal-ctags/ctags-win32/releases/download/2022-01-26/p5.9.20220116.0-22-g58c0e68a/ctags-2022-01-26_p5.9.20220116.0-22-g58c0e68a-x64.zip'
  checksum       = '3E5EB62440E0FCA6439B85EAA6F019C1AAE6BDAEE6283FBA837867BADA67D10E'
  checksum64     = 'F40E7356E072C2744C6E8F4FF54280837D5A5FC95E9975980F52ED4E38607C58'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = $toolsPath
}
Install-ChocolateyZipPackage @packageArgs
